Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: usermgmt::UserInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::UserInfo Struct Reference

User information More...

## Public Attributes
boolean | enabled
| `true` if the account is enabled
boolean | locked
| `true` if the account cannot be deleted
boolean | blocked
| `true` if the account is blocked due to failed logins
boolean | needPasswordChange
| `true` to force a password change on the next login
AuxInfo | auxInfo
| Auxiliary user information.
SnmpV3Settings | snmpV3Settings
| SNMPv3 settings.
string | sshPublicKey
| Public key for SSH access.
Preferences | preferences
| User preferences
vector< int > | roleIds
| List of role ids for this account.

## Detailed Description

User information

Definition at line 87 of file User.idl.

## Member Data Documentation

## ◆ auxInfo

AuxInfo usermgmt::UserInfo::auxInfo

Auxiliary user information.

Definition at line 92 of file User.idl.

## ◆ blocked

boolean usermgmt::UserInfo::blocked

`true` if the account is blocked due to failed logins

Definition at line 90 of file User.idl.

## ◆ enabled

boolean usermgmt::UserInfo::enabled

`true` if the account is enabled

Definition at line 88 of file User.idl.

## ◆ locked

boolean usermgmt::UserInfo::locked

`true` if the account cannot be deleted

Definition at line 89 of file User.idl.

## ◆ needPasswordChange

boolean usermgmt::UserInfo::needPasswordChange

`true` to force a password change on the next login

Definition at line 91 of file User.idl.

## ◆ preferences

Preferences usermgmt::UserInfo::preferences

User preferences

Definition at line 95 of file User.idl.

## ◆ roleIds

vector<int> usermgmt::UserInfo::roleIds

List of role ids for this account.

Definition at line 96 of file User.idl.

## ◆ snmpV3Settings

SnmpV3Settings usermgmt::UserInfo::snmpV3Settings

SNMPv3 settings.

Definition at line 93 of file User.idl.

## ◆ sshPublicKey

string usermgmt::UserInfo::sshPublicKey

Public key for SSH access.

Definition at line 94 of file User.idl.

The documentation for this struct was generated from the following file:

- User.idl